#!/bin/bash

### build X86 part
OPERA_TARGET=x86
OPERA_TARGET_VER=

DST_DIR=/vobs/Opera_3rdParty/PreBuilt/${OPERA_TARGET}${OPERA_TARGET_VER}/WP_HI

PATH=/opt/uclibc-toolchain/ifx-lxdb26-1.0.4-2/hostutils/bin/:$PATH

    make distclean
	sh ./configure.x86 && make

    LIBS="$(find . -name *.so.*)"

	for L in $LIBS; do
		LIBNAME=$(basename $L)
		LINKNAME=${LIBNAME%.[[:digit:]]*}

		cleartool co -nc $DST_DIR/$LIBNAME
		cp -a $L $DST_DIR
		mips-linux-strip $DST_DIR/$LIBNAME
		cleartool ci -nc $DST_DIR/$LIBNAME

		pushd $DST_DIR
			if [ ! -L "$LINKNAME" ]; then
				cleartool ln -s $LIBNAME $LINKNAME
			fi
		popd
	done
### end of X86 build


### build MIPS part
OPERA_TARGET=mips
OPERA_TARGET_VER="_R3_O"

DST_DIR=/vobs/Opera_3rdParty/PreBuilt/${OPERA_TARGET}${OPERA_TARGET_VER}/WP_HI

PATH=/opt/uclibc-toolchain/ifx-lxdb26-1.0.4-2/gcc-3.4.4/toolchain-mips-sf/bin/:$PATH

    make distclean
	sh ./configure.mips && make

    LIBS="$(find . -name *.so.*)"

	for L in $LIBS; do
		LIBNAME=$(basename $L)
		LINKNAME=${LIBNAME%.[[:digit:]]*}

		cleartool co -nc $DST_DIR/$LIBNAME
		cp -a $L $DST_DIR
		mips-linux-strip $DST_DIR/$LIBNAME
		cleartool ci -nc $DST_DIR/$LIBNAME

		pushd $DST_DIR
			if [ ! -L "$LINKNAME" ]; then
				cleartool ln -s $LIBNAME $LINKNAME
			fi
		popd
	done
### end of MIPS build
